> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# documenttypes

> List of document types for the given plugin. ExtraInfo = document plugin-id.

## "documenttypes" MDO List

List of document types for the given plugin.
ExtraInfo = document plugin-id.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.DocumentTypesListProvider">DocumentTypesListProvider</see> class.
The name of the MDO list is 'documenttypes'.

## Additional Attributes

| Description                          | Name | Example Value |
| ------------------------------------ | ---- | ------------- |
| Document plugin id to get types from |      | 0             |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/documenttypes
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("documenttypes", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "documenttypesheadings"
* "documenttypesheadingswithallitem"
* "documenttypesheadingswithallitemwithnoselection"
* "documenttypesheadingswithnoselection"
* "documenttypeswithallitem"
* "documenttypeswithallitemwithnoselection"
* "documenttypeswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.DocumentTemplateEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.DocumentTemplateEntity.md)
- [SuperOffice.WebApi.Data.DocumentEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.DocumentEntity.md)
- [SuperOffice.WebApi.Data.SaleEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.SaleEntity.md)
- [SuperOffice.WebApi.Data.TicketEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketEntity.md)
- [SuperOffice.WebApi.Data.ContactEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ContactEntity.md)
- [SuperOffice.WebApi.Data.TicketMessageEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketMessageEntity.md)
